#include "extern.h"
#include "options.h"
#include "aClient.h"
#include "pouch.h"
#include "item.h"
#include "flags.h"

void do_equip(char *u)
{
  aClient *user;
  pouch *p;
  itemContainer *equip;
  int id;

  char *item = strtok(NULL, " ");

  if (!item || int(item[0]) < 48 || int(item[0] > 57))
    {
      notice(s_GameServ, u, "SYNTAX: EQUIP ####");
      notice(s_GameServ, u, "Type /msg <S HELP EQUIP for more information.");
      return;
    }
  else if (!(user = find(u)))
    {
      notice(s_GameServ, u, "Fatal error in do_equip. Contact a(n) <S Admin");
      return;
    }
  else if (isIgnore(user))
    {
#ifdef DEBUGMODE
      log("Ignoring %s.", user->getNick());
#endif
      return;
    }
  else if (!is_playing(user))
    {
      notice(s_GameServ, u, "You must be playing to equip weapons and armor!");
      return;
    }
  id = stringtoint(item);
  if (!is_fighting(user))
	updateTS(user->stats);
  p = user->stats->inventory;


	if (!(equip = p->Find(id)))
      {
		if (!p->isEmpty())
		  {
			notice(s_GameServ, u, "You aren't carrying that item!");
		  }
		showinventory(user->stats, user);
      }
    else if (equip->getItem()->getType() != ARMOR && equip->getItem()->getType() != WEAPON)
      {
		notice(s_GameServ, u, "You can't use %s like that. Try /msg <S use", equip->getItem()->getName().c_str());
      }
    else
      {
		// Use the item
		notice(s_GameServ, u, "You equip %s.", equip->getItem()->getName().c_str());
		equip->use(user->stats);
      }
}
