#include "extern.h"
#include "options.h"
#include "aClient.h"
#include "flags.h"

void do_inventory(char *u)
{
  aClient *user;
  
  if (!(user = find(u)))
    {
	  notice(s_GameServ, u, "Fatal Error. Contact a <S admin!");
	  return;
    }
  else if (isIgnore(user))
    {
#ifdef DEBUGMODE
	  log("Ignoring %s.", user->getNick());
#endif
	  return;
    }
  else if (!is_playing(user))
    {
	  notice(s_GameServ, u, "You must be playing to check your inventory!");
	  return;
    }
  if (!is_fighting(user))
	updateTS(user->stats);
  showinventory(user->stats, user);
}
