#include "extern.h"
#include "flags.h"

void do_check(char *u)
{
    int days, hours, minutes, seconds;
    long complete;
    complete = (lastrefresh + refreshperiod) - time(NULL);
    days = complete / 86400;
    hours = (complete % 86400) / 3600;
    minutes = (complete % 86400) % 3600 / 60;
    seconds = (complete % 86400) % 3600 % 60;

    notice(s_GameServ, u, "Time left to next refresh: %dd %dh %dm %ds", 
	   days, hours, minutes, seconds);

    if (isRolloverForestFights())
      {
	complete = (lastrollover + rolloverperiod) - time(NULL);
	
	days = complete / 86400;
	hours = (complete % 86400) / 3600;
	minutes = (complete % 86400) % 3600 / 60;
	seconds = (complete % 86400) % 3600 % 60;
	
	notice(s_GameServ, u, "Time left to next rollover: %dd %dh %dm %ds",
	       days, hours, minutes, seconds);
      }
}
