/* This file contains functions related to searching */

#include "extern.h"
#include "item.h"


item *findItemByID(int id)
{
  list<item*>::iterator item_iterator;
  
  item_iterator = Items.begin();
  
  while (item_iterator != Items.end())
    {
      if ((*item_iterator)->getID() == id)
		{
		  return (*item_iterator);
		}
      item_iterator++;
    }
  return NULL;
}

item *findStoreItemByID(int id)
{
  list<item*>::iterator item_iterator;
  
  item_iterator = store.begin();
  
  while (item_iterator != store.end())
    {
      if ((*item_iterator)->getID() == id)
		{
		  return (*item_iterator);
		}
      item_iterator++;
    }
  return NULL;
}

tavernItem *findTavernItemByID(int id)
{
  list<tavernItem>::iterator item_iterator;
  
  item_iterator = tavern.begin();
  
  while (item_iterator != tavern.end())
    {
      if ((*item_iterator).getItem()->getID() == id)
		{
		  return &(*item_iterator);
		}
      item_iterator++;
    }
  return NULL;
}


